<?php
/**
 * Page Hero Partial
 *
 * @package CWC
 */

namespace CWC;

// Set variables
$bgColor = get_field( 'background_color' );
$isDark  = get_field( 'is_dark' );
$heading = get_field( 'heading' );
$intro   = get_field( 'intro' );

if ( is_home() ) {
    $intro = get_field( 'intro', get_option( 'page_for_posts' ) );
}

// Fallback for heading
if ( ! $heading ) {
    $heading = getTheTitle();
}

$wrapperStyle = $bgColor ? 'background-color: ' . esc_attr( $bgColor ) . ';' : '';
?>

<div class="page-hero <?php echo $isDark ? 'dark' : ''; ?> lg:px-0 lg:mt-30 lg:mb-4" style="<?php echo esc_attr( $wrapperStyle ); ?>">
    <div class="page-hero__content container flex flex-col lg:flex-row justify-between gap-20 mx-auto px-0!">
        <!-- <div id="breadcrumbs">
            <?php Breadcrumbs::render(); ?>
        </div> -->

        <?php if ( $heading ) : ?>
            <h1 class="page-hero__heading flex-0">
                <?php echo wp_kses_post( $heading ); ?><em>.</em>
            </h1>
        <?php endif; ?>

        <?php if ( $intro ) : ?>
            <div class="page-hero__intro grow text-18px/6 pt-3">
                <?php echo wp_kses_post( $intro ); ?>
            </div>
        <?php endif; ?>
    </div>
</div>
